profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/OCA/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Odoo Community Association OCA Lausanne, Switzerland http://odoo-community.org The GitHub repos for all Open Source work around Odoo

OCA/connector 267

Odoo generic connector framework (jobs queue, asynchronous tasks, channels)

OCA/account-financial-tools 190

Odoo Accountant Financial Tools and Utils

OCA/account-invoicing 148

Odoo Invoicing Extension Addons

OCA/account-financial-reporting 147

Financial reports for Odoo

OCA/bank-payment 123

Odoo Electronic Payment

OCA/ansible-odoo 98

Ansible role for Odoo

OCA/bank-statement-import 88

Bank Import Addons

OCA/commission 78

Odoo Commission Management

OCA/account-reconcile 68

Odoo account reconciliation modules (statements, data completion...)

OCA/account-analytic 56

Odoo Account Analytic Related Addons

push eventOCA/OCB

Adrien Widart

commit sha 579d82f801265407649addd67ec4aa4ddab093da

[FIX] base: use context_today as default rate name Suppose the TZ is UTC+12 and a user creates a new rate in the morning: the date will be the day before The default date should consider the user's timezone. OPW-2590972 closes odoo/odoo#76513 Signed-off-by: Quentin De Paoli (qdp) <qdp@openerp.com>

view details

Hed Shefer

commit sha 95c99be67989703454b48f42d27798f7de011336

[CLA] corporate signature for Layline Tech closes odoo/odoo#76817 Signed-off-by: Josse Colpaert <jco@openerp.com>

view details

Jérémy Kersten (jke)

commit sha 542cbe80ef8b71f4f48502fcc73d0c6556e679c2

[FIX] tools: properly guess image/svg+xml mimetype with magic lib Magic return image/svg instead of image/svg+xml if file starts with <svg closes odoo/odoo#68211 Signed-off-by: Jérémy Kersten (jke) <jke@openerp.com>

view details

OCA Git Bot

commit sha 21f27245b76020735bef436b2ca63b44bb0507ef

Merge remote-tracking branch 'odoo/12.0' into 12.0

view details

push time in an hour

push eventOCA/OCB

Adrien Widart

commit sha e85316b71bb86339e89f337e32dd8bd63a1e19e7

[FIX] base: use context_today as default rate name Suppose the TZ is UTC+12 and a user creates a new rate in the morning: the date will be the day before The default date should consider the user's timezone. OPW-2590972 closes odoo/odoo#76809 X-original-commit: 579d82f801265407649addd67ec4aa4ddab093da Signed-off-by: Quentin De Paoli (qdp) <qdp@openerp.com> Signed-off-by: Adrien Widart <adwid@users.noreply.github.com>

view details

Nasreddin Boulif (bon)

commit sha 65250fdef59dc07a5d34302c50b060d45936d234

[FIX] sale_quotation_builder: Update template header message Update header message to match changes in the following commit: https://github.com/odoo/odoo/commit/8ba6e3b0c3bf856308b4d58158392d0e99d2b58e opw-2631125 closes odoo/odoo#76766 X-original-commit: 9b1c35e2a5e335cc463534f1311b43a1eec70c37 Signed-off-by: bon-odoo <nboulif@users.noreply.github.com>

view details

William Braeckman

commit sha 62be05dc40e9f47c1b0a2216f8193d7a79c3a544

[FIX] hr_org_chart: remove res_id from the widget's action On the employee view there is a possibility to open a list of all the employees managed by the current employee however the action contains the key 'res_id' which makes both create and open action invalid. (the manager is opened either way instead of the right action) The action now also has a proper name instead of displaying `unnamed`, aswell as containing the context necessary to default the manager as expected. and the triple dots displayed when there are too many employees has been replaced with `See All`. TaskId-2648133 closes odoo/odoo#76730 Signed-off-by: Kevin Baptiste <kba@odoo.com>

view details

qsm-odoo

commit sha 64ce5a7bff933ad93c0618b0db5be5b3bcb09834

[FIX] web_editor: properly await all async parts for onRemove Even though onRemove cannot be async itself (yet?), it is however still called via a trigger_up of `call_for_each_child_snippet` so that each part of the snippet being removed has their onRemove called. Doing that way, some SnippetEditor instances may have to be created and it can be an async operation... the problem is that our code was only awaiting the first of those instanciations instead of all of them. closes odoo/odoo#76829 Signed-off-by: Quentin Smetz (qsm) <qsm@odoo.com>

view details

Hubert Van de Walle (huvw)

commit sha ea122e1d06f2d9f9bc51576ccbec1aff0eb392ff

[FIX] mail, web: don't refresh chatter when opening a dialog Steps to follow - Add an attachment in the chatter of a customer - Create an invoice with this customer - Open the customer form dialog from the sidearrow -> The attachment from the customer is displayed Solution Don't refresh the chatter if the form is from a dialog This is a backport from v14 opw-2525091 closes odoo/odoo#75704 Signed-off-by: Sébastien Theys (seb) <seb@odoo.com>

view details

Hed Shefer

commit sha a447d8590469c85c27ee24e2bb803bbc61720627

[CLA] corporate signature for Layline Tech closes odoo/odoo#76824 X-original-commit: 95c99be67989703454b48f42d27798f7de011336 Signed-off-by: Josse Colpaert <jco@openerp.com>

view details

OCA Git Bot

commit sha f13acfb12672357e4fb4e1e669259dc5e83c99a9

Merge remote-tracking branch 'odoo/13.0' into 13.0

view details

push time in an hour

push eventOCA/OCB

Nathan Marotte (nama)

commit sha 3d250a94c707a5998135f48ef76e302aa849849f

[FIX] mrp stock_picking : count to do and filter not matching Issue: The button # To Process in mrp/views/stock_picking_views.xml at line 33 uses the domain state confirmed, draft, planned, or progress But the default filter, which is called "to do", show those 4 states + to_close (in mrp/views/mrp_production_views.xml line 309) Side-Note: Issue also present in 14.0, so starting the bug fix from here. 12.0 doesn't seem to have a to_close state but the count and filter domain also do not match Steps to reproduce in 14.0 On Runbot, go to Inventory click on the "# to process" button on a Manufacturing card. - Choose any MO and create a work order. On this work order, click "Start", then "Done". - The MO is now in the "To Close" stage. - Go back to Inventory Overview. The number to process has gone down by one. - Click on the "# to process" button, you will see that the "To Close" MO appears in the list but is not counted by the button. (written by dido) For 13.0 I haven't been able to find steps to reproduce but the button has not changed between the two versions opw-2636447 closes odoo/odoo#76582 X-original-commit: d4a159402808773550cd916132a59b2984b43054 Signed-off-by: Rémy Voet <ryv-odoo@users.noreply.github.com> Signed-off-by: William Henrotin <Whenrow@users.noreply.github.com>

view details

Joren Van Onder

commit sha e2d19473905190c3a590618b988f86cf030e1e3c

[FIX] payment_authorize: charge tokens via the sandbox when disabled It's possible for a payment.acquirer to charge tokens when it's disabled via the subscription app (_cron_recurring_create_invoice()). Before this patch it would use the production endpoint. It's unexpected and can cause accidental charges in a database meant for testing. opw-2637659 closes odoo/odoo#76733 X-original-commit: 7316413261ca8294ceffa212d6b5079b6e35daf6 Signed-off-by: Antoine Vandevenne (anv) <anv@odoo.com>

view details

oco-odoo

commit sha c9b6b030f121b18bc8bc875afc2ed1459238cba8

[FIX] account: fix wrong call to super() closes odoo/odoo#76706 X-original-commit: a6ce7280f4a192e877fbdbd4b70c5105a8044fa9 Signed-off-by: Laurent Smet <smetl@users.noreply.github.com> Signed-off-by: oco-odoo <oco-odoo@users.noreply.github.com>

view details

Ivan Yelizariev

commit sha a46d20c89c24a4e60faef09cf8ad7721bd29d6cc

[FIX] core: regenerate user groups view after forcing demo data Since https://github.com/odoo/odoo/commit/8a3e1a0ccdad25ba5b4b99639bdaeb9073a27f1f, `_update_user_groups_view` is called only once per module installation. However, module installation is not the only scenario when data files are loaded and hence we need to add the method call. --- opw-2602541 closes odoo/odoo#76055 Signed-off-by: Raphael Collet (rco) <rco@openerp.com>

view details

Denis Ledoux

commit sha 4d3774a4d8692293cc89a3b505811172556e2d03

[FIX] l10n_in: expected singleton error when posting multiple moves ``` ceback (most recent call last): File "/home/odoo/src/odoo/14.0/odoo/service/server.py", line 1199, in preload_registries registry = Registry.new(dbname, update_module=update_module) File "/home/odoo/src/odoo/14.0/odoo/modules/registry.py", line 89, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/home/odoo/src/odoo/14.0/odoo/modules/loading.py", line 474, in load_modules migrations.migrate_module(package, 'end') File "/home/odoo/src/odoo/14.0/odoo/modules/migration.py", line 180, in migrate_module migrate(self.cr, installed_version) File "/tmp/tmpgxy7cwao/migrations/account/saas~13.4.1.1/end-09-payment-refactoring.py", line 618, in migrate util.iter_browse(env["account.move"].with_context(**ctx), ids, chunk_size=1024).action_post() File "/tmp/tmpgxy7cwao/migrations/util/orm.py", line 169, in caller return [getattr(chnk, attr)(*args, **kwargs) for chnk in chain(it, self._end())] File "/tmp/tmpgxy7cwao/migrations/util/orm.py", line 169, in <listcomp> return [getattr(chnk, attr)(*args, **kwargs) for chnk in chain(it, self._end())] File "/home/odoo/src/odoo/14.0/addons/sale/models/account_move.py", line 14, in action_post res = super(AccountMove, self).action_post() File "/home/odoo/src/odoo/14.0/addons/account/models/account_move.py", line 2649, in action_post self._post(soft=False) File "/home/odoo/src/odoo/14.0/addons/sale/models/account_invoice.py", line 81, in _post posted = super()._post(soft) File "/home/odoo/src/odoo/14.0/addons/purchase_stock/models/account_invoice.py", line 188, in _post return super()._post(soft) File "/home/odoo/src/odoo/14.0/addons/l10n_in/models/account_invoice.py", line 108, in _post elif self.journal_id.type == 'purchase': File "/home/odoo/src/odoo/14.0/odoo/fields.py", line 963, in __get__ record.ensure_one() File "/home/odoo/src/odoo/14.0/odoo/models.py", line 4993, in ensure_one raise ValueError("Expected singleton: %s" % self) ValueError: Expected singleton: account.journal(4, 3, 59, 99, 18, 11, 8, 77, 10, 72, 21, 66, 92, 88, 74) ``` upg-30689 closes odoo/odoo#76845 Signed-off-by: Denis Ledoux (dle) <dle@odoo.com>

view details

Hed Shefer

commit sha 39750e10df172785c3241b8b204aad0d34611884

[CLA] corporate signature for Layline Tech closes odoo/odoo#76832 X-original-commit: 95c99be67989703454b48f42d27798f7de011336 Signed-off-by: Josse Colpaert <jco@openerp.com>

view details

Nasreddin Boulif (bon)

commit sha 3e170d53a9148acace7b2f4b77896a2c26de8482

[FIX] sale_quotation_builder: Update template header message Update header message to match changes in the following commit: https://github.com/odoo/odoo/commit/8ba6e3b0c3bf856308b4d58158392d0e99d2b58e opw-2631125 closes odoo/odoo#76835 X-original-commit: 65250fdef59dc07a5d34302c50b060d45936d234 Signed-off-by: bon-odoo <nboulif@users.noreply.github.com>

view details

qsm-odoo

commit sha ea2a40afb96147e83c897a0376e187d8c957e66a

[FIX] web_editor: properly await all async parts for onRemove/onClone Even though onRemove and onClone cannot be async themselves (yet?), it is called via a trigger_up of `call_for_each_child_snippet` so that each part of the snippet being removed / cloned has their onRemove / onClone called. Doing that way, some SnippetEditor instances may have to be created and it can be an async operation... the problem is that our code was only awaiting the first of those instanciations instead of all of them. closes odoo/odoo#76853 X-original-commit: 64ce5a7bff933ad93c0618b0db5be5b3bcb09834 Signed-off-by: Quentin Smetz (qsm) <qsm@odoo.com>

view details

OCA Git Bot

commit sha f3a627a875c628232c25ac6604112e0f6e8cd88b

Merge remote-tracking branch 'odoo/14.0' into 14.0

view details

push time in an hour

fork Vauxoo/margin-analysis

Odoo Financial Controlling (margin, costs, ...)

https://odoo-community.org/project/9

fork in 2 hours

fork nimarosa/hr

Odoo Human Resources Addons

fork in 2 hours

push eventOCA/helpdesk

Pedro Castro Silva

commit sha 8958e4b78eda7d26e2e91b604e016aa8495af332

Translated using Weblate (Portuguese) Currently translated at 99.5% (203 of 204 strings) Translation: helpdesk-14.0/helpdesk-14.0-helpdesk_mgmt Translate-URL: https://translation.odoo-community.org/projects/helpdesk-14-0/helpdesk-14-0-helpdesk_mgmt/pt/

view details

Pedro Castro Silva

commit sha b6282061e0d1d496f0cfef20d7002ad00d7ebb3e

Translated using Weblate (Portuguese) Currently translated at 100.0% (18 of 18 strings) Translation: helpdesk-14.0/helpdesk-14.0-helpdesk_type Translate-URL: https://translation.odoo-community.org/projects/helpdesk-14-0/helpdesk-14-0-helpdesk_type/pt/

view details

push time in 3 hours

issue commentOCA/l10n-brazil

[12.0][BUG] - Devolução, apos concluida retorna criação da fatura novamente

Olá @renatonlima, mas algo não estou entendendo, aqui a fatura volta novamente pra ser faturada, e faturando ela veja como fica na imagem, ela gerou a nota número 5

037

Neste caso o saldo do cliente deveria ser 0. Mas faturando novamente volta o valor origin al da fatura sem o retorno...

vanderleiromera

comment created time in 4 hours

issue openedOCA/OpenUpgrade

Initialize OpenUpgrade 15

Hi all,

Fall is coming, and with it, the new annual release of Odoo. (15.0)

here a list in my mind, regarding how to initialize Openupgrade. Feel free to comment if you think I forgave some things.

First

  • Create a new v15.0 empty branch of OCA/server-tools
  • Create a new v15.0 empty branch of OCA/OpenUpgrade

openupgrade_framework

  • port openupgrade_framework module from 14.0 to 15.0 and adapt it

openpupgrade_scripts

  • port openpupgrade_scripts from 14.0 to 15.0 and remove scripts folder.

upgrade_analysis

  • Port upgrade_analysis module from 14.0 to 15.0
  • generate analysis files using 14.0 and 15.0 instance and commit result in openpupgrade_scripts

doc

  • cherry-pick V14 docs part into 15.0
  • set the website pointing on the new release. (maybe it's automatic ?)

comment welcome.

kind regards.

created time in 4 hours

issue commentOCA/l10n-brazil

[12.0][BUG] - Devolução, apos concluida retorna criação da fatura novamente

Olá @vanderleiromera,

Isso é um comportamento padrão do core do Odoo, se você faturou 10 unidades de uma linha de pedido de venda e depois essas 10 unidades foram devolvidas (criada uma devolução) a quantidade faturada será 0, isso acontece para deduzir as devoluções das quantidades faturas e também para no caso de trocas.

vanderleiromera

comment created time in 4 hours

PullRequestReviewEvent

push eventOCA/field-service

mymage

commit sha bf9b690ff781301778dfd7f0b8e11eef4932d9f6

Translated using Weblate (Italian) Currently translated at 100.0% (501 of 501 strings) Translation: field-service-12.0/field-service-12.0-fieldservice Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice/it/

view details

mymage

commit sha f1a53cc73359ea1ff41d1c54f6f99428fb9c1e2b

Translated using Weblate (Italian) Currently translated at 100.0% (9 of 9 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_account Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_account/it/

view details

mymage

commit sha 65fb6f403b95ad9fdfb92a535dad2034fab109b6

Translated using Weblate (Italian) Currently translated at 100.0% (21 of 21 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_account_analytic Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_account_analytic/it/

view details

mymage

commit sha 12a8d165d28b71c0942f578e274637c5c21731ad

Translated using Weblate (Italian) Currently translated at 100.0% (15 of 15 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_agreement Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_agreement/it/

view details

mymage

commit sha 01f807e9859bc84db09e8585713e2b3a2184b005

Translated using Weblate (Italian) Currently translated at 100.0% (19 of 19 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_fleet Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_fleet/it/

view details

mymage

commit sha a036cb0d281b666da7d4279ee2037605a94d041c

Translated using Weblate (Italian) Currently translated at 100.0% (36 of 36 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_isp_account Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_isp_account/it/

view details

mymage

commit sha a5ca3031cb76801e0cbc85f5eefdf6121993f500

Translated using Weblate (Italian) Currently translated at 100.0% (15 of 15 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_isp_flow Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_isp_flow/it/

view details

mymage

commit sha f3a1eb90a7cffa983fcc391989daf2aa96623f5f

Translated using Weblate (Italian) Currently translated at 100.0% (22 of 22 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_location_builder Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_location_builder/it/

view details

mymage

commit sha 5f174dfd404336d5730bd6eb701eb61dbbdabb49

Translated using Weblate (Italian) Currently translated at 100.0% (56 of 56 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_partner_multi_relation Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_partner_multi_relation/it/

view details

mymage

commit sha c82f7581f46e5c2a3f10c03414c3e67f2baf17c8

Translated using Weblate (Italian) Currently translated at 100.0% (13 of 13 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_project Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_project/it/

view details

mymage

commit sha 8ba7d5adefe31bfd355089a464c039cf5b0acade

Translated using Weblate (Italian) Currently translated at 94.1% (16 of 17 strings) Translation: field-service-12.0/field-service-12.0-fieldservice_route_stock Translate-URL: https://translation.odoo-community.org/projects/field-service-12-0/field-service-12-0-fieldservice_route_stock/it/

view details

push time in 4 hours

issue closedOCA/OpenUpgrade

[14.0] Error upgrading base

When upgrading a database from 11.0 to 14.0 I get this error just when starting to upgrade to 14.0.

`Traceback (most recent call last): File "/opt/odoo/custom/src/odoo/odoo/tools/cache.py", line 85, in lookup r = d[key] File "/opt/odoo/custom/src/odoo/odoo/tools/func.py", line 71, in wrapper return func(self, *args, **kwargs) File "/opt/odoo/custom/src/odoo/odoo/tools/lru.py", line 34, in getitem a = self.d[obj] KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f6f35cf7820>, 'base.module_category_services_timesheets')

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 677, in _tag_root f(rec) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 564, in _tag_record f_val = self.id_get(f_ref) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 660, in id_get res = self.model_id_get(id_str, raise_if_not_found) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 666, in model_id_get return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found) File "/opt/odoo/custom/src/odoo/odoo/addons/base/models/ir_model.py", line 1928, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "<decorator-gen-35>", line 2, in xmlid_lookup File "/opt/odoo/custom/src/odoo/odoo/tools/cache.py", line 90, in lookup value = d[key] = self.method(*args, **kwargs) File "/opt/odoo/custom/src/odoo/odoo/addons/base/models/ir_model.py", line 1921, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: base.module_category_services_timesheets

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "/opt/odoo/custom/src/odoo/odoo/service/server.py", line 1199, in preload_registries registry = Registry.new(dbname, update_module=update_module) File "/opt/odoo/custom/src/odoo/odoo/modules/registry.py", line 89, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/opt/odoo/custom/src/odoo/odoo/modules/loading.py", line 400, in load_modules loaded_modules, processed_modules = load_module_graph( File "/opt/odoo/custom/src/odoo/odoo/modules/loading.py", line 222, in load_module_graph load_data(cr, idref, mode, kind='data', package=package) File "/opt/odoo/custom/src/odoo/odoo/modules/loading.py", line 69, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 733, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 799, in convert_xml_import obj.parse(doc.getroot()) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 719, in parse self._tag_root(de) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 677, in _tag_root f(rec) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 681, in _tag_root raise ParseError('while parsing %s:%s, near\n%s' % ( odoo.tools.convert.ParseError: while parsing /opt/odoo/custom/src/odoo/odoo/addons/base/data/ir_module_module.xml:19, near <record model="ir.module.module" id="base.module_timesheet_grid"> <field name="name">timesheet_grid</field> <field name="shortdesc">Timesheets</field> <field name="sequence">65</field> <field name="category_id" ref="base.module_category_services_timesheets"/> <field name="application" eval="True"/> <field name="summary">Track time & costs</field> <field name="license">OEEL-1</field> <field name="author">Odoo S.A.</field> <field name="to_buy" eval="True"/> <field name="icon">/base/static/img/icons/timesheet_grid.png</field> <field name="website">https://www.odoo.com/page/timesheet-mobile-app?utm_source=db&utm_medium=module</field>`

It does not make sense that Odoo would try to look up for a category 'base.module_category_services_timesheets' that is defined in the module 'hr_timesheet', that is not installed.

closed time in 5 hours

JordiBForgeFlow

issue openedOCA/field-service

[12] fieldservice_route_stock - typo

Is 'fsm.route.dayroute', string='ay Route') must be 'fsm.route.dayroute', string='Day Route')

https://github.com/OCA/field-service/blob/b9786eaec74350bd7bf901632f7b455f1e30b222/fieldservice_route_stock/models/stock_inventory.py#L13

created time in 6 hours

pull request commentOCA/OpenUpgrade

[13.0][OU-FIX] delivery: invoice_policy should be 'estimated' instead

We are also in a not comfortable with the real option now that we have seen more cases, and we are proposing to go to estimated. Please check #2913

The problem is that none of the current ones are exactly the same as the options in v12, and you will find several drawbacks in one or the other.

MiquelRForgeFlow

comment created time in 6 hours

pull request commentOCA/OpenUpgrade

[13.0][FIX] delivery: invoice_policy

Also being discussed in #2715

chienandalu

comment created time in 6 hours

PullRequestReviewEvent

fork ovnicraft/queue

Asynchronous Job Queue

fork in 6 hours

issue openedOCA/l10n-brazil

[12.0][BUG] - Devolução, apos concluida retorna criação da fatura novamente

** Descreva o bug ** Configuração da Venda

sale_order

O processo de devolução funciona tudo certo, o problema é que a fatura retorna pra ser faturada novamente

invoice

Reproduzir

Problema surgiu com o merge da pr #1574

created time in 6 hours

push eventOCA/helpdesk

Pedro Castro Silva

commit sha dea910a60e5ae5db722b4f49434a064a40a4f022

Added translation using Weblate (Portuguese)

view details

push time in 6 hours

push eventOCA/helpdesk

Pedro Castro Silva

commit sha 108336d3f2c7456ce6b3a1062d0760ac95e38e60

Added translation using Weblate (Portuguese)

view details

push time in 6 hours

fork wrujel/web

Odoo web client UI related addons

fork in 6 hours

pull request commentOCA/social

[14.0][ADD] mass_mailing_subscription_date

@ivantodorovich My guess is that there was code added to mail_debrand after you branched 14.0. If you rebase on latest 14.0 you should have the fixed. Anyway, that check is not s show stopper for this PR.

ivantodorovich

comment created time in 6 hours

issue closedOCA/field-service

[14.0][fieldservice_timeline] Uncaught (in promise) Error: Unknown prop 'action' given to component 'PatchableClass'

I'm getting the error below when using the module switching to the timeline view

Uncaught (in promise) Error: Unknown prop 'action' given to component 'PatchableClass'
at Object.QWeb.utils.validateProps (owl.js:3878)
at new Component (owl.js:4041)
at new DropdownMenuItem (dropdown_menu_item.js:32)
at new TimelineviewCustomfillter (custom_fillter.js:16)
at new PatchableClass (patch_mixin.js:38)
at Class.start (fsm_gantt_person_filter.js:23)
at Class.start (class.js:123)
at widget.js:440
at async Promise.all (:8069/index 1)
at async Promise.all (:8069/index 0)

closed time in 6 hours

robyf70

push eventOCA/helpdesk

Pedro Castro Silva

commit sha 50313a86a3ad390b698a8f6ca426f2584f00d7b9

Added translation using Weblate (Portuguese)

view details

push time in 7 hours

pull request commentOCA/social

[14.0][ADD] mass_mailing_subscription_date

@OCA/community-maintainers any idea why the PR badge is red here? :thinking:

According to coverage it's because of coverage changes in mail_debrand/models/mail_render_mixin.py, but that file hasn't changed on this PR :/

captura

ivantodorovich

comment created time in 7 hours

issue openedOCA/OpenUpgrade

[14.0] Error upgrading base

When upgrading a database from 11.0 to 14.0 I get this error just when starting to upgrade to 14.0.

`Traceback (most recent call last): File "/opt/odoo/custom/src/odoo/odoo/tools/cache.py", line 85, in lookup r = d[key] File "/opt/odoo/custom/src/odoo/odoo/tools/func.py", line 71, in wrapper return func(self, *args, **kwargs) File "/opt/odoo/custom/src/odoo/odoo/tools/lru.py", line 34, in getitem a = self.d[obj] KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f6f35cf7820>, 'base.module_category_services_timesheets')

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 677, in _tag_root f(rec) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 564, in _tag_record f_val = self.id_get(f_ref) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 660, in id_get res = self.model_id_get(id_str, raise_if_not_found) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 666, in model_id_get return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found) File "/opt/odoo/custom/src/odoo/odoo/addons/base/models/ir_model.py", line 1928, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "<decorator-gen-35>", line 2, in xmlid_lookup File "/opt/odoo/custom/src/odoo/odoo/tools/cache.py", line 90, in lookup value = d[key] = self.method(*args, **kwargs) File "/opt/odoo/custom/src/odoo/odoo/addons/base/models/ir_model.py", line 1921, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: base.module_category_services_timesheets

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "/opt/odoo/custom/src/odoo/odoo/service/server.py", line 1199, in preload_registries registry = Registry.new(dbname, update_module=update_module) File "/opt/odoo/custom/src/odoo/odoo/modules/registry.py", line 89, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/opt/odoo/custom/src/odoo/odoo/modules/loading.py", line 400, in load_modules loaded_modules, processed_modules = load_module_graph( File "/opt/odoo/custom/src/odoo/odoo/modules/loading.py", line 222, in load_module_graph load_data(cr, idref, mode, kind='data', package=package) File "/opt/odoo/custom/src/odoo/odoo/modules/loading.py", line 69, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 733, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 799, in convert_xml_import obj.parse(doc.getroot()) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 719, in parse self._tag_root(de) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 677, in _tag_root f(rec) File "/opt/odoo/custom/src/odoo/odoo/tools/convert.py", line 681, in _tag_root raise ParseError('while parsing %s:%s, near\n%s' % ( odoo.tools.convert.ParseError: while parsing /opt/odoo/custom/src/odoo/odoo/addons/base/data/ir_module_module.xml:19, near <record model="ir.module.module" id="base.module_timesheet_grid"> <field name="name">timesheet_grid</field> <field name="shortdesc">Timesheets</field> <field name="sequence">65</field> <field name="category_id" ref="base.module_category_services_timesheets"/> <field name="application" eval="True"/> <field name="summary">Track time & costs</field> <field name="license">OEEL-1</field> <field name="author">Odoo S.A.</field> <field name="to_buy" eval="True"/> <field name="icon">/base/static/img/icons/timesheet_grid.png</field> <field name="website">https://www.odoo.com/page/timesheet-mobile-app?utm_source=db&utm_medium=module</field>`

It does not make sense that Odoo would try to look up for a category 'base.module_category_services_timesheets' that is defined in the module 'hr_timesheet', that is not installed.

created time in 7 hours

PR opened OCA/social

[14.0][ADD] mass_mailing_company_newsletter

This module lets you manage partner's subscriptions to your company's main mailing list directly from the partner form. It makes it easier to manage partner mass communications, specially if you only use a single mailing list.

+504 -0

0 comment

16 changed files

pr created time in 7 hours